<table *ngIf="tableMode else create" class="table table-sm table-striped">
  <tbody>
    <tr>
      <th>Id</th>
      <th>IssuedById</th>
      <th>Name</th>
      <th>EmployeeId</th>
      <th>Name</th>
      <th>TaskId</th>
      <th>Title</th>
    </tr>
    <tr *ngFor="let t of tasksBoards">
      <ng-template [ngIf]="taskBoard?.id != t.id" [ngIfElse]="edit">
        <td>{{t.id}}</td>
        <td>{{t.issuedByInRoleId}}</td>
        <td>{{t.managerName}}</td>
        <td>{{t.employeeInRoleId}}</td>
        <td>{{t.employeeName}}</td>
        <td>{{t.task}}</td>
        <td>{{t.taskTitle}}</td>
        <td>
          <button class="btn btn-sm btn-primary" (click)="selectTaskBoard(t.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Edit
          </button>
          <button class="btn btn-sm btn-danger ml-1" (click)="deleteTaskBoard(t.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Delete
          </button>
        </td>
      </ng-template>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td colspan="6" class="text-center">
        <button class="btn btn-primary" (click)="clearTaskBoard(); tableMode=false"
                [disabled]="currentUser.checkIfAdmin">
          Create
        </button>
      </td>
    </tr>
  </tfoot>
</table>

<ng-template #edit>
  <td colspan="6" class="bg-light border p-3">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="taskBoard.id" disabled />
    </div>
    <div class="form-group">
      <label>IssuedById</label>
      <input type="number" class="form-control" [(ngModel)]="taskBoard.issuedByInRoleId" />
    </div>
    <div class="form-group">
      <label>EmployeeId</label>
      <input type="number" class="form-control" [(ngModel)]="taskBoard.employeeInRoleId" />
    </div>
    <div class="form-group">
      <label>Task</label>
      <input type="number" class="form-control" [(ngModel)]="taskBoard.task" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="updateTaskBoard(taskBoard.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearTaskBoard()">
        Cancel
      </button>
    </div>
  </td>
</ng-template>

<ng-template #create>
  <div class="m-2">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="taskBoard.id" disabled />
    </div>
    <div class="form-group">
      <label>IssuedById</label>
      <input type="number" class="form-control" [(ngModel)]="taskBoard.issuedByInRoleId" />
    </div>
    <div class="form-group">
      <label>EmployeeId</label>
      <input type="number" class="form-control" [(ngModel)]="taskBoard.employeeInRoleId" />
    </div>
    <div class="form-group">
      <label>Task</label>
      <input type="number" class="form-control" [(ngModel)]="taskBoard.task" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="createTaskBoard(taskBoard.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearTaskBoard()">
        Cancel
      </button>
    </div>
  </div>
</ng-template>
